Update Profile State

Update Profile State

Only Solution users, Container admins, and System admins can update ProfileStates.

Request
URI
PUT
https://{api_host}/container-service/api/config/profiles/{id}
COPY
Path Parameters
string
id
Required

The id of the ProfileState


Request Body

The ProfileState to be updated.

ProfileState of type(s) application/json
Required
{
    "documentExpirationTimeMicros": "string",
    "storageProfileLink": "string",
    "endpointType": "string",
    "endpointLink": "string",
    "documentUpdateTimeMicros": "string",
    "documentSelfLink": "string",
    "tagLinks": [
        "string"
    ],
    "computeProfileLink": "string",
    "name": "string",
    "groupLinks": [
        "string"
    ],
    "tenantLinks": [
        "string"
    ],
    "id": "string",
    "networkProfileLink": "string"
}
string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
storageProfileLink
Optional

storageProfileLink

string
endpointType
Optional

endpointType

string
endpointLink
Optional

endpointLink

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

object
customProperties
Optional

customProperties

string
documentSelfLink
Optional

documentSelfLink

array of string
tagLinks
Optional

tagLinks

string
computeProfileLink
Optional

computeProfileLink

string
name
Optional

name

array of string
groupLinks
Optional

groupLinks

array of string
tenantLinks
Optional

tenantLinks

string
id
Optional

id

string
networkProfileLink
Optional

networkProfileLink

object
misc
Optional

misc

Responses
200

'OK' is returned when the ProfileState is updated.

Operation doesn't return any data structure